/*****************************************************************************
    AmyEdit - A GTKMM LaTeX Editor
    Copyright (C) 2004-2005 Rob Page
    email:  page <dot> rob <at> gmail <dot> com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*****************************************************************************/

#ifdef USE_PRECOMPILED_HEADERS
#  include "all.hh"
#endif

#include "config.h"

#ifdef ENABLE_NLS
#  include <libintl.h>
#  undef _
#  define _(String) dgettext (GETTEXT_PACKAGE, String)
#  ifdef gettext_noop
#    define N_(String) gettext_noop (String)
#  else
#    define N_(String) (String)
#  endif
#else
#  define textdomain(String) (String)
#  define gettext(String) (String)
#  define dgettext(Domain,Message) (Message)
#  define dcgettext(Domain,Message,Type) (Message)
#  define bindtextdomain(Domain,Directory) (Domain)
#  define _(String) (String)
#  define N_(String) (String)
#endif

#include "ChoiceDialog.hh"
#include <gtkmm/button.h>
#include <gtkmm/label.h>
#include <gtkmm/box.h>
#include <gtkmm/stock.h>

ChoiceDialog::ChoiceDialog(Glib::ustring choice, ChoiceDialogEnum boxtype)
{  
   
  Gtk::Label *choicelabel=Gtk::manage(new class Gtk::Label(choice));
  choicelabel->set_line_wrap();
  get_vbox()->pack_start(*choicelabel);

  set_title(_("ChoiceDialog"));

  set_resizable(false);

  switch(boxtype)
    {
    case YES_NO:
      add_button(Gtk::Stock::YES, Gtk::RESPONSE_YES);
      add_button(Gtk::Stock::NO, Gtk::RESPONSE_NO);
      break;
    case OK_CANCEL:
      add_button(Gtk::Stock::OK, Gtk::RESPONSE_OK);
      break;
    }
  add_button(Gtk::Stock::CANCEL, Gtk::RESPONSE_CANCEL);
  show_all_children();
}

ChoiceDialog::~ChoiceDialog()
{  
}
