/*****************************************************************************
    AmyEdit - A GTKMM LaTeX Editor
    Copyright (C) 2004 Rob Page email:  page <dot> rob <at> gmail <dot> com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*****************************************************************************/

#ifndef _PREFERENCES_HH
#define _PREFERENCES_HH

#include <gtkmm/dialog.h>
#include <gtkmm/label.h>
#include <gtkmm/entry.h>

class PrefStruct 
{
public:
  PrefStruct();
  PrefStruct(PrefStruct *me);
  ~PrefStruct();
  
  int tab_size;
  Glib::ustring word_wrap_style;

  Glib::ustring latex_command;
  Glib::ustring preview_command;
  Glib::ustring output_file;

  int window_height,window_width;
  Glib::ustring language;
 
  bool syntax_highlighting;

  Glib::ustring recent_files[5];

};

class Preferences : public Gtk::Dialog
{

public:
  PrefStruct curPrefs;
  Preferences(PrefStruct myPrefs);
  ~Preferences();
  int run();
private:
  Gtk::Entry *entries1[3];
  Gtk::CheckButton highlightbutton;
  Gtk::Entry *entries2[3];
};

#endif  // _PREFERENCES_HH
