/*****************************************************************************
    AmyEdit - A GTKMM LaTeX Editor
    Copyright (C) 2004-2005 Rob Page
    email:  page <dot> rob <at> gmail <dot> com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*****************************************************************************/

#ifdef USE_PRECOMPILED_HEADERS
#include "all.hh"
#endif

#include "config.h"

#include <gtkmm/main.h>
#include <sys/stat.h>
#include <fstream>
#include <gtkmm/messagedialog.h>

#include "AmyEdit.hh"

int main(int argc, char **argv)
{  
   Gtk::Main m(&argc, &argv);

   // make directory structure
   mkdir((Glib::get_home_dir()+"/.amyedit").c_str(),S_IRWXU);
   mkdir((Glib::get_home_dir()+"/.amyedit/templates").c_str(),S_IRWXU);
   
   // add the default template
   std::ofstream outfile((Glib::get_home_dir() + "/.amyedit/templates/Blank Document").c_str());
   outfile.close();
  int i;
  for (i=1; argv[i]; i++)
    AmyEdit::instance()->open(Glib::ustring(argv[i]));

   m.run(*AmyEdit::instance());
   AmyEdit::goodnight();
   
   return 0;
}

